Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 26 Jul 2005 14:03:02 -0400

Henry,

I too agree that there is some good information in this document.  But,
my question to the group is whether that is sufficient reason for the
group to take on this *type* of work.  My impression is that in the past
such work was deemed out of scope.  (Implementation-oriented, "we don't
do profiles", etc.)  The questions that should be addressed before this
one:

1.  Will adding this to the workload delay existing WG items further?

2.  Will adding this to the workload preclude other more core protocol
work from being added as WG items and addressed in a timely fashion?

3.  How will this group deal with other fora that are doing similar
work?

Perhaps the VoIP Peering BoF will also touch on the above.

Mike

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Henry Sinnreich
> Sent: Tuesday, July 26, 2005 12:59 PM
> To: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]
> Cc: [email-masked]; 'Jake Salinger'; 
> [email-masked]; 'Dean Willis'
> Subject: FW: [Sipping] Inter-Domain Requirements for SIP/SIMPLE
> 
> 
> >It should definitely become a SIPPING WG item. This document 
> is great. 
> 
> If Dean thought this request can be dismissed with a joke: We 
> will be persistent.
> 
> Especially in view of the VoIP Peering BOF.
> 
> Thanks, Henry
>  
> 
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jake Salinger
> Sent: Monday, July 25, 2005 7:30 AM
> To: [email-masked]
> Subject: Re: [Sipping] Inter-Domain Requirements for SIP/SIMPLE
> 
> It should definitely become a SIPPING WG item. This document is great.
> 
> 
> 
> 
> ----- Original Message -----
> From: <[email-masked]>
> To: "'Dean Willis'" <[email-masked]>; <[email-masked]>
> Cc: <[email-masked]>
> Sent: Monday, July 25, 2005 4:18 PM
> Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE
> 
> 
> > >Could we just poll the mailing list instead?
> >
> >
> http://www.ietf.org/internet-drafts/draft-levin-simple-interdo
> main-reqs-02.t
> > xt
> >
> > What are the opinions on this list? Should it become a 
> SIPPING WG item?
> >
> > Thanks, Henry
> >
> > -----Original Message-----
> > From: Dean Willis [mailto:[email-masked]]
> > Sent: Sunday, July 24, 2005 6:50 PM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [Sipping] Inter-Domain Requirements for SIP/SIMPLE
> >
> >
> > On Jul 23, 2005, at 9:53 AM, Henry Sinnreich wrote:
> >
> > > The I-D Inter-Domain Requirements for SIP/SIMPLE
> > > 
> http://www.ietf.org/internet-drafts/draft-levin-simple-interdomain-
> > > reqs-02.t
> > > xt
> > >
> > > is not only a very good document but is also very timely 
> for other 
> > > inter-domain communications, such as between all the 
> emerging VoIP 
> > > islands (the islands are a regrettable fact at present).
> > >
> > > I suggest therefore having a 5 minute hum so as to make 
> it a SIPPING 
> > > WG item.
> >
> >
> > Henry, I'm pretty sure that if we ask the working group to 
> hum for 5 
> > minutes that the resulting anoxia would preclude further 
> useful work 
> > for the remainder of the meeting.
> >
> > Could we just poll the mailing list instead?
> >
> > --
> > Dean
> >
> >
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments of core SIP
> >
> >
> >
> >
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP Use 
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments of core SIP
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 
> 
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Henry Sinnreich" <[email-masked]>
Date: Wed, 27 Jul 2005 05:42:22 -0700

Mike,

>question to the group is whether that is sufficient reason 
>for the group to take on this *type* of work

Internet communications are a prime focus of the IETF, otherwise we would
not have all the WGs: SIP, SIPPING, SIMPLE, IPTEL, MMUSIC, AVT, etc. dealing
with this and related topics.

The practical results, though impressive, are however overshadowed by the
fact that almost all SIP communication islands interconenct only using the
PSTN. This is nothing short of scandalous and should be a real source of
concern to the IETF.

The industry has now forwarded two proposals, that are conceptually on the
opposite side of the solutions spectrum:

- The Internet-wide Inter-Domain Requirements for SIP/SIMPLE, and
 
http://www.ietf.org/internet-drafts/draft-levin-simple-interdomain-reqs-02.t
xt 

- The (3GPP-IMS inspired?) SBC based architecture as proposed in the VoIP
Peering BOF
  http://darkwing.uoregon.edu/~llynch/voipeer/ 

Given this state of affairs, the proposed Inter-Domain Requirements for
SIP/SIMPLE should be IMHO on the top of the list of the SIPPING WG.

Thanks, Henry

-----Original Message-----
From: Michael Hammer (mhammer) [mailto:[email-masked]] 
Sent: Tuesday, July 26, 2005 11:03 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: [email-masked]; Jake Salinger; [email-masked]; Dean Willis
Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE

Henry,

Mike

---

From: Avshalom Houri <[email-masked]>
Date: Wed, 27 Jul 2005 16:49:50 +0300

Being one of the authors of the draft it is not surprising that I fully
agree with you. Thanks for your support.

I want to emphasize several points:

* The IETF can not expect that defining a protocol is the end of the work.
presence and IM and other protocols that the IETF is currently defining 
are in
a much higher level then TCP or UDP or any network protocol. The interop
issues are not only technical but imply a lot of other concerns that need 
to be
solved in order have a real interop.

* SIP interoperability is not flying. It is very hard to do when 
components from
different companies are involved and it is very hard to do when several
communities are involved. It is actually impossible to do without 
negotiating
what will be that actual interop and what will be allowed and what will 
not be
allowed. I may be wrong but it seems that the shift from peer to peer or a 
single
deployment paradigm to interoperability between enterprises and different
deployment have not happened yet.

We need to get these kind of items to the top priority of the SIPPING 
working
group even in the expense of not adding new features to SIP in order to 
make sure
that SIP will really be something that all will feel convenient regarding 
its
interoperability.

Avshalom

---

From: "Henry Sinnreich" <[email-masked]>
Date: Wed, 27 Jul 2005 10:06:58 -0500

Gonzalo,

Since several people here on the list also consider the I-D should be the
top agenda item for the SIPPING GW meeting, see

http://www.softarmor.com/sipping/meets/ietf63/agenda.html

What if we choose a simple criteria: Drop some items that are new and have
version 00 and/or 01 and make adequate time to discuss if the Inter-Domain
Requirements for SIP/SIMPLE should be made a WG item. 

My sincere apology to the well deserved authors of the I-Ds that may be
affected, but what is the purpose of perfecting something that we cannot use
between different Internet domains?

Thanks, Henry

  _____  

From: Avshalom Houri [mailto:[email-masked]] 
Sent: Wednesday, July 27, 2005 8:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE

* The IETF can not expect that defining a protocol is the end of the work. 
presence and IM and other protocols that the IETF is currently defining are
in 
a much higher level then TCP or UDP or any network protocol. The interop 
issues are not only technical but imply a lot of other concerns that need to
be 
solved in order have a real interop. 

* SIP interoperability is not flying. It is very hard to do when components
from 
different companies are involved and it is very hard to do when several 
communities are involved. It is actually impossible to do without
negotiating 
what will be that actual interop and what will be allowed and what will not
be 
allowed. I may be wrong but it seems that the shift from peer to peer or a
single 
deployment paradigm to interoperability between enterprises and different 
deployment have not happened yet. 

We need to get these kind of items to the top priority of the SIPPING
working 
group even in the expense of not adding new features to SIP in order to make
sure 
that SIP will really be something that all will feel convenient regarding
its 
interoperability. 

Avshalom 

Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE
From: "Khan, Sohel Q [NTK]" <[email-masked]>
To: "Avshalom Houri" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 27 Jul 2005 09:48:31 -0500

I share the same opinion of the following from Avshalom.

Thanks.

Sohel Khan

Sprint-TR&D

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Avshalom Houri
Sent: Wednesday, July 27, 2005 8:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE

* The IETF can not expect that defining a protocol is the end of the work. 
presence and IM and other protocols that the IETF is currently defining are
in 
a much higher level then TCP or UDP or any network protocol. The interop 
issues are not only technical but imply a lot of other concerns that need to
be 
solved in order have a real interop. 

* SIP interoperability is not flying. It is very hard to do when components
from 
different companies are involved and it is very hard to do when several 
communities are involved. It is actually impossible to do without
negotiating 
what will be that actual interop and what will be allowed and what will not
be 
allowed. I may be wrong but it seems that the shift from peer to peer or a
single 
deployment paradigm to interoperability between enterprises and different 
deployment have not happened yet. 

We need to get these kind of items to the top priority of the SIPPING
working 
group even in the expense of not adding new features to SIP in order to make
sure 
that SIP will really be something that all will feel convenient regarding
its 
interoperability. 

Avshalom

---

From: "Cullen Jennings" <[email-masked]>
Date: Fri, 29 Jul 2005 23:47:58 -0400

Let's take a key point, we have said for a long time in the group that SIP
proxies MUST do TLS. A large part of the actual recommendations in the draft
come down to proxies do TLS. I agree, however, what more can we say to make
this happen.

Other things come down to similar things, we write an RFC that says you MUST
do X. Implementation lag? I'm not sure having a second draft that say , you
MUST do X, really will help much.

I think one of the best things for SIP interoperability is to take products
to SipIT - this let's other vendors see what you have implemented and what
they need to implement to work with you. At the last SipIT, much of the
stuff in this draft was interoperable tested between vendors other than the
authors of this draft ( so take that as a great sign this is on the right
path) - I'm glad to test much of this stuff.

A standard conversation at SipIT might be "Yah, I can do pidf, page mode
with text plain, and TLS" (SIP is sort of assumed). I'm not sure exactly
what in page 1-11 is not covered by that.

The text in the draft greatly misrepresents the reason why people think that
page mode inside invite is a bad idea. I think it is a bad idea. Happy to
explain why but I imagine everyone knows.

Section 5.3 - this seems like an attempt to completely ignore the say
sub/not works and just periodical publish the data or do a poll. This model
was discussed and found to be inferior

Section 8 is both meaningless in that I can't tell what it means yet at the
same time I disagree with it. What would being a good citizen mean? How does
AOL ensure that no one ever sends a spam from an AOL account.

9.1 - I sort of agree with this. Thought it is very hard to define what
logging means on a computer. The session is always stored, it has to do with
how long it is stored so it has been hard in the past to exactly define
this. Would be glad to see some work happen on this. Keep in mind the RAVEN
stuff.

9.2 I got no idea what this would mean or what it is talking about. I have
several accounts on AOL - are they trusted? I have a sametime account at
Cisco what about it? I have a domain I run myself? You don't explain what
the problem is or what you are trying to solve in this section.

9.3 - para 1 - this is already in the standards

9.4 - again why would this be needed - it this only to deal with 5.3. If
there are things that are needed here, call and what the problem is and I'd
be thrilled to work on solving them

10.2 - This circles of trust is discussed in the SPAM draft. I don't think
it will work over the long run for a circle as large as AOL or MSN. This ext
implies that each domain will be able to detect it's spammers and stop them
- the problem is some domains (like a large public provider) can't tell what
is SPAM to me, and some smaller domains won't bother to stop it.

Section 10.4  - caching a negative response for long periods of time
requires that you deploy some sort of response identity mechanism - which is
actively being discussed

Don't get me wrong on this - I am sure there are some things that need some
work to make interop happen and I would be glad to get them highlighted and
worked on. Help me understand what they are. You also made the point that
the WG seems to be defining things way way out ahead of what implementations
are doing. I mostly agree. And I agree we should not work on defining stuff
that no one is going to implement or use for several years.

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Avshalom Houri
Sent: Wednesday, July 27, 2005 9:50 AM
To: [email-masked]
Cc: [email-masked]
Subject: RE: [Sipping] Inter-Domain Requirements for SIP/SIMPLE

Avshalom